package com.bocloud.ims.service.model;

import java.util.List;

/**
 * 统计类
 * 
 * @author song song
 * @since 2017.02.27
 */
public class Computerstat {

	private List<StatsResult> host; // 物理主机
	private List<StatsResult> server; // 云主机
	private List<StatsResult> container; // 容器

	/**
	 * @return the host
	 */
	public List<StatsResult> getHost() {
		return host;
	}

	/**
	 * @param host
	 *            the host to set
	 */
	public void setHost(List<StatsResult> host) {
		this.host = host;
	}

	/**
	 * @return the server
	 */
	public List<StatsResult> getServer() {
		return server;
	}

	/**
	 * @param server
	 *            the server to set
	 */
	public void setServer(List<StatsResult> server) {
		this.server = server;
	}

	/**
	 * @return the container
	 */
	public List<StatsResult> getContainer() {
		return container;
	}

	/**
	 * @param container
	 *            the container to set
	 */
	public void setContainer(List<StatsResult> container) {
		this.container = container;
	}

	public Computerstat() {
		super();
	}

	public Computerstat(List<StatsResult> host, List<StatsResult> server) {
		super();
		this.host = host;
		this.server = server;
	}

	public Computerstat(List<StatsResult> host, List<StatsResult> server, List<StatsResult> container) {
		super();
		this.host = host;
		this.server = server;
		this.container = container;
	}

}
